service daemon/acpid {
	need = system/mountfs system/modules
	use = system/discover system/coldplug
	daemon {
		

		# As the name says. If the kernel supports modules, it'll try to load
		# the ones listed in "MODULES".
		load_modules() {
		        LIST=`/sbin/lsmod|awk '!/Module/ {print $1}'`
		
			# Get list of available modules
		        LOC="/lib/modules/`uname -r`/kernel/drivers/acpi"
		        if [ -d $LOC ]; then
			  MODAVAIL=`( find $LOC -type f -name "*.o" -printf "basename %f .o\n"; \
				find $LOC -type f -name "*.ko" -printf "basename %f .ko\n" ) | /bin/sh`
			else
			  MODAVAIL=""
				fi
		
		        if [ "$MODULES" = "all" ]; then
				MODULES="$MODAVAIL"
		        fi
		
			if [ -n "$MODULES" ]; then
				echo "Loading ACPI modules:"
			        for mod in $MODULES; do
					echo $MODAVAIL | grep -q -w "$mod" || continue
					#echo "    $mod"
			                echo $LIST | grep -q -w "$mod" || modprobe $mod || /bin/true
			        done
			fi
		}


		# Check for daemon presence
		test -x /usr/sbin/acpid || exit 0

		# Check for ACPI support on kernel side
		[ -d /proc/acpi ] || exit 0

		# Include acpid defaults if available
		OPTIONS=""
		if [ -f /etc/default/acpid ] ; then
			. /etc/default/acpid
		fi

		[ -f /proc/modules ] && load_modules


		#for x in ac battery button fan ibm_acpi processor thermal video ; do
		#	modprobe ${x} &> /dev/null
		#done
		
		exec /usr/sbin/acpid -f -c /etc/acpi/events
	}
}
