
service daemon/openvpn/* {
#*/
	need = system/initial system/mountroot virtual/networking
	daemon = /usr/sbin/openvpn
	daemon_args = --config /etc/openvpn/$NAME/local.conf --writepid /var/run/openvpn-$NAME.pid --cd /etc/openvpn/$NAME
}
service daemon/openvpn {
	need = system/initial system/mountroot
	
start {
echo "Trying to load tun module if any ..."
modprobe tun &> /dev/nul
if [ -h /dev/net/tun ] && [ -c /dev/misc/net/tun ]; then
	echo "Detected broken /dev/net/tun symlink, fixing..."
	rm /dev/net/tun
	ln -s /dev/misc/net/tun /dev/net/tun
fi

if [ ! -d /etc/openvpn ]; then
    echo "Cant find openvpn conf dir! ..."
    exit 1
fi
	
cd /etc/openvpn
for VPN in *
do
    if [ -d $VPN ] && [ -e $VPN/local.conf ]; then
	echo "Starting openvpn for $VPN"
	/sbin/ngc -u daemon/openvpn/$VPN
    else
	echo "Expected $VPNDIR/$VPN to be a directory containing a local.conf."
    fi
done
exit 0

}

stop {
cd /etc/openvpn
for VPN in *
do
    if [ -d $VPN ] && [ -e $VPN/local.conf ]; then
	echo "Stopping openvpn for $VPN"
	/sbin/ngc -d daemon/openvpn/$VPN
    else
	echo "Expected $VPNDIR/$VPN to be a directory containing a local.conf."
    fi
done
exit 0
}

}

