service daemon/pump/* {
	#*/
	need = system/modules system/mountfs
	daemon = /sbin/pump

	start {
		source /etc/conf.d/net
		eval opts=\" \$\{pump_${NAME}\} \"
		eval d=\" \$\{dhcp_${NAME}\} \"
		[[ ${d} == "  " ]] && d=" ${dhcp} "
		
		[[ ${d} == *' nodns '* ]] && opts="${opts} --nodns"

		h=$( hostname )
		[[ -n ${h} && ${h} != "(none)" && ${h} != "localhost" \
			&& ${opts} != *' -h '*i && ${opts} != *' --hostname='* && ${d} != *' nohostname '* ]] \
				&& opts="${opts} -h ${h}"
	
		/sbin/pump ${opts} -i ${NAME}
		[[ $? != 0 ]] && exit $?

		[[ ${d} == *' nontp '* ]] && exit 0

		. /lib/initng/scripts/net/functions
		. /lib/initng/scripts/net/system

		eval ntp_servers_${ifvar}=$( pump -i ${iface} --status | sed -n -e 's/^.*Ntpservers: //p' )
		system_ntp

		exit 0
	}
	
	stop {
		/sbin/pump --release -i ${NAME}

		# We need to sleep as pump returns too fast
		sleep 1

		# pump should not down the interface, but it should drop addresses
		# it does neither, so we take care of it
	
		. /lib/initng/scripts/net/functions
		interface_del_addresses ${NAME}
		interface_up ${NAME}
	}
}
