# syslog        Starts syslogd
#
# description: Syslog is the facility by which many daemons use to log \
# messages to various system log files.  It is a good idea to always \
# run syslog.

service daemon/syslogd {
    need = system/initial system/mountroot system/bootmisc
    daemon {
    	create_xconsole()
	{
	    if [ ! -e /dev/xconsole ]; then
	        mknod -m 640 /dev/xconsole p
	    else
	        chmod 0640 /dev/xconsole
	    fi
	    chown root:adm /dev/xconsole
	}

	binpath=/sbin/syslogd
	test -x $binpath || exit 0

	[ -r /etc/default/sysklogd ] && . /etc/default/sysklogd

	create_xconsole
	exec $binpath -n $SYSKLOGD_OPTIONS
    }
}
