service daemon/udhcpc/* {
	#*/
	need = system/initial system/mountroot system/modules system/hostname
	use = system/static-modules system/coldplug
	daemon = /usr/sbin/udhcpc
	pid_file = /var/run/udhcpc-$NAME.pid
	up_when_pid_set
	#respawn
	
	start {
		if [[ -e /etc/conf.d/net ]]; then
		    source /etc/conf.d/net
		fi
		eval opts=\" \$\{udhcpc_${NAME}\} \"

		h=$( hostname )
		[[ -n ${h} && ${h} != "(none)" && ${h} != "localhost" \
			&& ${opts} != *' -h '* && ${d} != *' nohostname '* ]] \
				&& opts="${opts} --hostname=${h}"

		x=$( eval /usr/sbin/udhcpc ${opts} --now --script=/lib/initng/scripts/net/udhcpc-wrapper --pidfile=/var/run/udhcpc-${NAME}.pid --interface=${NAME} )
		[[ ${x:((${#x} - 5)):5} == "bound" ]]
	}

	stop {
		if [[ -e /etc/conf.d/net ]]; then
		    source /etc/conf.d/net
		fi
		pid=$( < /var/run/udhcpc-${NAME}.pid )

		eval d=\" \$\{dhcp_${NAME}\} \"
		[[ -z ${d} ]] && d="${dhcp}"
		if [[ ${d} != *' norelease '* ]]; then
			kill -s USR2 ${pid} &>/dev/null
			[[ -f /var/cache/dhcp-${iface}.lease ]] \
				&& rm /var/cache/dhcp-${iface}.lease
		fi

		kill -s TERM ${pid}

		# udhcp-0.9.8-r3 and earlier do not process signals correctly
		# so we need to kill them off
		[[ -d /proc/${pid} ]] && kill -s KILL ${pid}

		[[ -f /var/run/udhcpc-${NAME}.pid ]] \
			&& rm -f /var/run/udhcpc-${NAME}.pid
	}
}
