service daemon/wpa_supplicant/* {
	need = system/mountfs
	daemon = /usr/sbin/wpa_supplicant
	pid_file = /var/run/wpa_supplicant-$NAME.pid
	up_when_pid_set
	#respawn

	start {
		source "/etc/initng/net/scripts/functions"
		
		eval opts=\"\$\{wpa_supplicant_${ifvar}\} -i${iface} -c/etc/wpa_supplicant.conf -B\"
		[[ -f /usr/sbin/wpa_cli.action ]] \
			&& opts="${opts} -W -P/var/run/wpa_supplicant-${iface}.pid"
		/usr/sbin/wpa_supplicant ${opts}
		
		if [[ -f /usr/sbin/wpa_cli.action ]]; then
			ngc -u daemon/wpa_cli/${iface}
			exit 0
		fi

		source "${libdir}/wpa_supplicant"
		if ! wpa_supplicant_associate ; then
			wpa_cli -i${iface} terminate
			exit 1
		fi

		ngc -u net/${iface}
	}
	stop {
		pkill -f "/usr/sbin/wpa_supplicant .* -i${NAME} "
	}
}
