
service system/bootmisc {
	need = system/initial system/mountfs
	use = system/hdparm

start {
#!/bin/bash

if [ -e /etc/conf.d/bootmisc ]
then
    source /etc/conf.d/bootmisc
    if [ ${DELAYLOGIN} == "yes" ] ; then
	echo "System bootup in progress - please wait" > /etc/nologin && cp /etc/nologin /etc/nologin.boot 2>&1 >/dev/null &
    fi
fi

if [ -e /etc/sysctl.conf ] ; then
    /sbin/sysctl -p /etc/sysctl.conf 2>&1 >/dev/null &
fi

if [ -x /sbin/env-update.sh ] ; then
    if [ /etc/env.d -nt /etc/profile.env ]
    then
	echo "Updating environment ..."
	/sbin/env-update.sh -u > /dev/null &
    fi
fi

# Setup login records
echo -n "" > /var/run/utmp
touch /var/log/wtmp &>/dev/null
chgrp utmp /var/run/utmp /var/log/wtmp &>/dev/null
chmod 0664 /var/run/utmp /var/log/wtmp &>/dev/null
# Remove /var/run/utmpx (bug from the past)
rm -f /var/run/utmpx &> /dev/null

# Reset pam_console permissions
if [ -x /sbin/pam_console_apply ] && [ ! -c /dev/.devfsd ] ; then
	/sbin/pam_console_apply -r >/dev/null &
fi

#
# Clean up /tmp directory
#
rm -f /tmp/.X*-lock /tmp/esrv* /tmp/kio* /tmp/jpsock.* /tmp/.fam* 2>&1 >/dev/null &
rm -rf /tmp/.esd* /tmp/orbit-* /tmp/ssh-* /tmp/ksocket-* 2>&1 >/dev/null &
# Make sure our X11 stuff have the correct permissions
rm -rf /tmp/.*-unix ; mkdir -p /tmp/.{ICE,X11}-unix ; chmod 1777 /tmp/.{ICE,X11}-unix 2>&1 >/dev/null &

#
# Clean up /var/lock and /var/run
#
find /var/run/ ! -type d ! -name utmp ! -name innd.pid ! -name random-seed -exec rm \{\} \;
find /var/lock -type f -exec rm \{\} \;

#
# Create an 'after-boot' dmesg log
#
touch /var/log/dmesg > /dev/null &
chmod 640 /var/log/dmesg >/dev/null &
dmesg > /var/log/dmesg &

#
# Check for /etc/resolv.conf, and create if missing
#
[ -f /etc/resolv.conf ] || touch /etc/resolv.conf 2>&1 >/dev/null &



wait
exit 0
}

}
# vim:ts=4
