
service system/domainname {
    need = system/initial
start {
#!/bin/bash

if [[ -f /etc/conf.d/domainname ]]; then
    source /etc/conf.d/domainname
fi

checkconfig_nis() {
	if [[ -f /etc/nisdomainname ]] ; then
		echo "You should stop using /etc/nisdomainname and use /etc/conf.d/domainname"
		export NISDOMAIN=$(</etc/nisdomainname)
		return 0
	fi
	[[ -n ${NISDOMAIN} ]]
}

checkconfig_dns() {
	if [[ -f /etc/dnsdomainname ]] ; then
		echo "You should stop using /etc/dnsdomainname and use /etc/conf.d/domainname"
		export DNSDOMAIN=$(</etc/dnsdomainname)
	fi
	[[ -z ${DNSDOMAIN} ]] && return 1

	if ! touch /etc/resolv.conf 2> /dev/null ; then
		echo "Unable to set domain in resolv.conf (ro root?)"
		return 1
	else
		return 0
	fi
}

retval=0
retval2=0

if checkconfig_nis ; then
	echo "Setting NIS domainname to ${NISDOMAIN} ..."
	/bin/domainname "${NISDOMAIN}"
	retval=$?
fi

if checkconfig_dns ; then
	echo "Setting DNS domainname to ${DNSDOMAIN} ..."
	resolv=$(grep -v '^[[:space:]]*domain' /etc/resolv.conf)
	[[ ${OVERRIDE} == "1" ]] \
		&& resolv="${resolv}"$'\n'"domain ${DNSDOMAIN}" \
		|| resolv="domain ${DNSDOMAIN}"$'\n'"${resolv}"
	echo "${resolv}" > /etc/resolv.conf
	retval2=$?
fi

exit $((retval + retval2))
}

}
