
service system/dotnet {
	need = system/initial
start {
CLR=mono
if [ -e /etc/conf.d/dotnet ]; then
    source /etc/conf.d/dotnet
fi
echo "Registering .NET IL binaries with ${CLR}"
if [ ! -d /proc/sys/fs/binfmt_misc ]; then
	echo "You need support for \"misc binaries\" in your kernel!"
	exit 1
fi
mount | grep -q binfmt_misc
if [ $? != 0 ]; then
    mount -t binfmt_misc binfmt_misc /proc/sys/fs/binfmt_misc
    if [ $? != 0 ]; then
	exit 1
    fi
fi
case "${CLR}" in
mono )	echo ':CLR:M::MZ::/usr/bin/mono:' > /proc/sys/fs/binfmt_misc/register
	exit 0
	;;
ilrun )	echo ':CLR:M::MZ::/usr/bin/ilrun:' > /proc/sys/fs/binfmt_misc/register
	exit 0
	;;
* )	echo 'Please enter a valid option in /etc/conf.d/dotnet'
	exit 1
	;;
esac
}

stop {
echo "Unregistering .NET IL binaries"
if [ -f /proc/sys/fs/binfmt_misc/CLR ]; then
	echo '-1' > /proc/sys/fs/binfmt_misc/CLR
fi
exit $?
}

}