# Set up networking for initng
# More or less c&p from /etc/init.d/ifupdown and
# /etc/init.d/ifupdown-clean

service system/ifupdown-debian {

        need = system/mountfs system/modules system/hostname 
        use = system/static-modules system/coldplug

        start {
		[ -x /sbin/ifup ] || exit 0
		[ -x /sbin/ifdown ] || exit 0

		MYNAME="${0##*/}"
		report() { echo "${MYNAME}: $*" ; }
		report_err() { report "Error: $*" >&2 ; }
		RUN_DIR=/etc/network/run
		[ -r /etc/default/ifupdown ] && . /etc/default/ifupdown

		# Note: The state file location is hardcoded in ifup|ifdown
		IFSTATE=/etc/network/run/ifstate

		myreadlink () {
		  dest="${1%/}"
		  extras=""

		  while [ "$dest" != "" ]; do
		    if [ -d "$dest" ]; then
		      cd "$dest"
 		     dest=$(/bin/pwd)
		      break
		    fi

		    if [ -L "$dest" ]; then
		      d2=$(readlink "$dest")
		      if [ "${d2#/}" = "$d2" ]; then
		        dest="${dest%/*}/$d2"
		      else
		        dest="$d2"
		      fi
		    fi

		    while [ ! -e "$dest" ]; do
		      extras="${dest##*/}/$extras"
		      if [ "${extras%%/*}" = ".." ]; then return 1; fi
		      destx="${dest%/*}"
		      if [ "$destx" = "$dest" ]; then destx=""; fi
		      dest="$destx"
		    done
		  done
		  dest="$dest/$extras"
		  echo "${dest%/}"
		}

		# if /etc/network/run is a symlink to a directory that doesn't exist,
		# create it.

		if [ -L "$RUN_DIR" ] && [ ! -d "$RUN_DIR" ] ; then
 	     	  runmkdir="$(myreadlink "$RUN_DIR")"
 	     	  if [ ! "$runmkdir" ] ; then
 	            echo "failed."
		    report_err "Cannot create target of /etc/network/run"
		    exit 1
		  fi
		  if ! mkdir -p "$runmkdir"; then
		    echo "failed."
 	            report_err "Failure creating directory $runmkdir"
 	            exit 1
 	          fi
 	        fi

 		# Create the state file
		# Doing this also signals that ifupdown is available for use
		
#		We can always clean here, because debian's network script depends on this, it HAS to run first.
#		if [ ! -r "$IFSTATE" ]; then
		  if ! : > "$IFSTATE" ; then
		    echo "failed."
		    report_err "Failure initializing $IFSTATE"
		    exit 1
		  fi
#		fi

		exit 0
        }
        stop {
		IFSTATE=/etc/network/run/ifstate
   		echo -n "Cleaning up ifupdown..."
  		if [ -f $IFSTATE -a ! -L $IFSTATE ]; then
 		   rm -f "$IFSTATE"
 		elif [ -f $IFSTATE ]; then
 		  # This is kinda bad :(
 		  >$IFSTATE
   		fi
  		echo "done."
  		exit 0
        }
}
