
service system/serial {
	need = system/initial system/mountroot
	
start {
#!/bin/bash
SETSERIAL="/bin/setserial"

moduleinserted() {
	local res=$(grep 'serial' /proc/modules | cut -f1 -d" ")
	[ "${res}" = "serial" ] && return 1
}

#if serial module exists, and it's not inserted, insert it permanently
if [ -f "/lib/modules/$(uname -r)/misc/serial.o" ] ; then
    moduleinserted
	if [ "$?" -eq 0 ] ; then
	    /sbin/insmod serial 1>&2
	fi
fi

if [ -e /etc/serial.conf ] ; then
    grep -v "^#\|^ \|^$" /etc/serial.conf | while read device args
    do
	echo "Setting $device to $args ..."
	${SETSERIAL} -b $device $args 1>&2
	if [ "$?" -gt 0 ] ; then
	    echo "Error setting serial port $device $args"
	    no_errs=0
	else
	    done="${done} /dev/$1"
	fi
    done
fi
}

}

