service system/splash/start {
	need = system/initial
	start {
		get_paint_cmd(){
			res="`/lib/splash/bin/fbres`"
			xres="${res%x*}"
			has_text="no"

			eval `cat ${themedir}/${theme}/${res}.cfg | grep "^text_[a-z]\+="`

			[[ -n "${text_x}" && -n "${text_y}" && -n "${text_size}" ]] && has_text="yes"
			[ ${has_text} == "yes" ] && echo ",cmd:paint rect ${text_x} ${text_y} ${xres} $(($text_y+5*$text_size))"
		}	

		spl_comm(){
			echo "$*" > /lib/splash/cache/.splash
		}
	
		[ -z "$(grep 'splash=' /proc/cmdline)" ] && exit 0
		[ ! -e "/dev/fbsplash" ] && exit 0
		SPLASHOPTS="$(sed -e 's/.*splash=//g' -e 's/ .*//g' < /proc/cmdline)"
		MODE="verbose"
		[ ! -z "$(echo ${SPLASHOPTS} | grep silent)" ] && MODE="silent"
		THEME="$(echo ${SPLASHOPTS} | sed -e 's/.*theme://g' -e 's/,.*//g' )"

		killall -9 splash_util 2> /dev/null

		if [ "${MODE}" == "verbose" ]; then
			splash_util -c setcfg -t ${THEME}
			splash_util -c setpic -t ${THEME}
			splash_util -c on
			exit 0
		fi
		
		splash_util -d -t ${THEME}

		spl_comm 'set message Initng Booting ($progress%) ... Press F2 for verbose'
		spl_comm "set mode silent"
		spl_comm "repaint"
		
		ngc -S "gensplash,boot`get_paint_cmd`"
	}
	stop {
		get_paint_cmd(){
			res="`/lib/splash/bin/fbres`"
			xres="${res%x*}"
			has_text="no"

			eval `cat ${themedir}/${theme}/${res}.cfg | grep "^text_[a-z]\+="`

			[[ -n "${text_x}" && -n "${text_y}" && -n "${text_size}" ]] && has_text="yes"
			[ ${has_text} == "yes" ] && echo ",cmd:paint rect ${text_x} ${text_y} ${xres} $(($text_y+5*$text_size))"
		}	

		spl_comm(){
			echo "$*" > /lib/splash/cache/.splash
		}
	
		[ -z "$(grep 'splash=' /proc/cmdline)" ] && exit 0
		[ ! -e "/dev/fbsplash" ] && exit 0
		SPLASHOPTS="$(sed -e 's/.*splash=//g' -e 's/ .*//g' < /proc/cmdline)"
		MODE="verbose"
		[ ! -z "$(echo ${SPLASHOPTS} | grep silent)" ] && MODE="silent"
		THEME="$(echo ${SPLASHOPTS} | sed -e 's/.*theme://g' -e 's/,.*//g' )"

		killall -9 splash_util 2> /dev/null
		
		#change VT

		chvt 1

		if [ "${MODE}" == "verbose" ]; then
			splash_util -c setcfg -t ${THEME}
			splash_util -c setpic -t ${THEME}
			splash_util -c on
			exit 0
		fi
		
		splash_util -d -t ${THEME}

		spl_comm 'set message Initng Stopping ($progress%) ... Press F2 for verbose'
		spl_comm "set mode silent"
		spl_comm "repaint"

		ngc -S "gensplash,shutdown`get_paint_cmd`"
	}

}

service system/splash/stop {
	need = system/initial
	start {
		
		killall -9 splash_util 2> /dev/null

		ngc -S off
		
		[ -z "$(grep 'splash=' /proc/cmdline)" ] && exit 0
		[ ! -z "/dev/fpsplash" ] && exit 0
		SPLASHOPTS="$(sed -e 's/.*splash=//g' -e 's/ .*//g' < /proc/cmdline)"
		THEME="$(echo ${SPLASHOPTS} | sed -e 's/.*theme://g' -e 's/,.*//g' )"
		splash_util -c setcfg -t ${THEME}
		splash_util -c setpic -t ${THEME}
		splash_util -c on
		exit 0
	}
}

service system/splash {
	need = system/initial system/splash/start 
}
