
service system/urandom {
	need = system/initial system/mountfs
	
    start {


        # Load and then save $POOLSIZE (512) bytes,
        # which is the size of the entropy pool
        if [ -f /var/lib/urandom/random-seed ]
        then
            cat /var/lib/urandom/random-seed >/dev/urandom
        fi
        rm -f /var/lib/urandom/random-seed
        umask 077
        dd if=/dev/urandom of=/var/lib/urandom/random-seed \
            bs=$POOLSIZE count=1 >/dev/null 2>&1 \
            || echo "urandom start: failed."
        umask 022
	exit 0
    }

    stop {
	echo "Saving random seed ..."
	# Carry a random seed from shut-down to start-up;
	# see documentation in linux/drivers/char/random.c
	umask 077
        dd if=/dev/urandom of=/var/lib/urandom/random-seed \
                bs=$POOLSIZE count=1 >/dev/null 2>&1 \
                || echo "urandom stop: failed."
        exit $?
    }

}
